Inhalte
Index 🔎︎

# Funktion Sin

Ermittelt den Sinus eines Winkels. Der Winkel wird im Bogenmaß angegeben. Das Ergebnis liegt im Bereich von -1 bis 1.

Die Funktion Sin bestimmt aus einem Winkel Alpha das Längenverhältnis von Gegenkathete zu Hypotenuse in einem rechtwinkligen Dreieck.

Sin(Alpha) = Gegenkathete/Hypotenuse

## Syntax:

    Sin (Zahl)

## Rückgabewert:

Double

## Parameter:

Zahl: Numerischer Ausdruck, der einen im Bogenmaß (Rad) angegebenen Winkel darstellt, dessen Sinus Sie berechnen möchten.

Zur Umrechnung von Grad in Bogenmaß muss die Gradangabe mit Pi/180 multipliziert werden und zur Umrechnung von Bogenmaß in Grad muss das Bogenmaß mit 180/Pi multipliziert werden.

grad=(radiant*180)/pi

radiant=(grad*pi)/180

Pi ist die Kreiskonstante mit dem ungefähren Wert 3,141592657.

## Fehlercodes:

5 Ungültiger Prozeduraufruf

## Beispiel:

    ' Das folgende Beispielprogramm erlaubt für ein rechtwinkliges Dreieck die Eingabe von:
    ' Gegenkathete und Winkel (in Grad) und berechnet daraus die Länge der Hypotenuse:
    Sub ExampleSine
    ' Pi = 3.1415926 ist eine vordefinierte Variable
    Dim d1 As Double
    Dim dAlpha As Double
        d1 = InputBox("Bitte geben Sie die Länge der Gegenkathete ein: ","Gegenkathete")
        dAlpha = InputBox("Bitte geben Sie den Winkel Alpha ein (in Grad): ","Alpha")
        Print "Die Länge der Hypotenuse beträgt"; (d1 / sin (dAlpha * Pi / 180))
    End Sub